export let resultDataEndpoint;
export let raceMetricsEndpoint;
export let eventDataEndpoint;
export let syncEventEndpoint;
export let uploadResultEndpoint;
export let setupDataEndpoint;
export let trackDataEndpoint;
export let pilotDataEndpoint;
export let timerMappingEndpoint;
export let raceClassEndpoint;
export let vtxTableEndpoint;
export let mqttConfigEndpoint;
export let rssiDataEndpoint;

if (process.env.NODE_ENV === 'development') {
  resultDataEndpoint = '/race-explorer/dev/resultData.jsonl';
  eventDataEndpoint = '/race-explorer/dev/eventData.json';
  setupDataEndpoint = '/race-explorer/dev/setupData.jsonl';
  trackDataEndpoint = '/race-explorer/dev/trackData.json';
  timerMappingEndpoint = '/race-explorer/dev/timerMapping.json';
  raceClassEndpoint = '/race-explorer/dev/raceClasses.json';
  vtxTableEndpoint = '/race-explorer/dev/vtx_table.json';
  mqttConfigEndpoint = '/race-explorer/dev/mqttConfig.json';
  rssiDataEndpoint = '/race-explorer/dev/rssiData.json';
} else {
  resultDataEndpoint = '/raceResults';
  raceMetricsEndpoint = '/raceMetrics';
  eventDataEndpoint = '/raceEvent';
  syncEventEndpoint = '/raceEvent?sync';
  uploadResultEndpoint = '/raceEvent?results';
  setupDataEndpoint = '/timerSetup';
  trackDataEndpoint = '/trackLayout';
  pilotDataEndpoint = '/pilots';
  timerMappingEndpoint = '/timerMapping';
  raceClassEndpoint = '/raceClasses';
  vtxTableEndpoint = '/vtxTable';
  mqttConfigEndpoint = '/mqttConfig';
  rssiDataEndpoint = '/rssi';
}

export const mqttBroker = '';
export const mqttOptions = {
  username: 'race-admin',
  password: 'fu56rg20'
};
