### RotorHazard S32_BPill Case Build Guide

***1) Hardware Needed:***

​a) 4 - M3 X 8mm Flat Head Phillips (for mounting the top/lid)<br>
[https://www.fastener-express.com/m3-x-5-x-8mm-flat-phil-machine-screw-stainless-qty50.aspx](https://www.fastener-express.com/m3-x-5-x-8mm-flat-phil-machine-screw-stainless-qty50.aspx)

​b) 4 - M3 X 6mm Pan Head Phillips (for mounting the main PCB)<br>
[https://www.fastener-express.com/m3-x-5-x-6mm-pan-phil-machine-screws-stainless-qty-50.aspx](https://www.fastener-express.com/m3-x-5-x-6mm-pan-phil-machine-screws-stainless-qty-50.aspx)

​c) 4 - M2.5 X 5mm Pan Head Phillips (for mounting the Raspberry Pi)<br>
[https://www.fastener-express.com/m2-5-x-45-x-5mm-pan-phil-machine-screws-stainless-qty-50.aspx](https://www.fastener-express.com/m2-5-x-45-x-5mm-pan-phil-machine-screws-stainless-qty-50.aspx)

​d) 2 - M2.5 X 8mm Button Head (for mounting the XT60 bulkhead connector if you didn't order them with screws)<br>
[https://www.amazon.com/uxcell-M2-5x8mm-Thread-Button-Socket/dp/B01B1OD6MW](https://www.amazon.com/uxcell-M2-5x8mm-Thread-Button-Socket/dp/B01B1OD6MW)

​e) 8 - M3 X 16mm Pan Head Phillips (optional, for mounting fans)<br>
[https://www.fastener-express.com/m3-x-5-x-16mm-pan-phil-machine-screws-stainless-qty-50.aspx](https://www.fastener-express.com/m3-x-5-x-16mm-pan-phil-machine-screws-stainless-qty-50.aspx)

​f) 8 - M3 Nuts (optional, for mounting fans)<br>
[https://www.fastener-express.com/m3-x-5mm-hex-nuts-stainless-qty-50.aspx](https://www.fastener-express.com/m3-x-5mm-hex-nuts-stainless-qty-50.aspx)

​g) 3/16" diameter X 1/32" and 3/16" diameter X 1/8" magnets (optional, if using case top magnetic mounting method)<br>
[https://www.kjmagnetics.com/proddetail.asp?prod=D301-N52](https://www.kjmagnetics.com/proddetail.asp?prod=D301-N52)<br>
[https://www.kjmagnetics.com/proddetail.asp?prod=D32-N52](https://www.kjmagnetics.com/proddetail.asp?prod=D32-N52)

![](https://github.com/RotorHazard/rhfiles/raw/main/S32_BPill/caseBuildPics/image001.jpg)


***2) Tools Needed:***

![](https://github.com/RotorHazard/rhfiles/raw/main/S32_BPill/caseBuildPics/image002.jpg)

The taps will not be needed if using self-tapping screws. (Tapping the
mounting holes for the main PCB, top/lid, and Raspberry Pi and using
machine screws will help with reusability but can be difficult to do if
you are not used to tapping plastic. It is recommended that holes where
self-tapping screws are to be used be drilled out with the tap-drill
size anyway in order to reduce chances of the plastic cracking.)

***3) Carefully remove any support material from openings, being
especially careful with the supports for the horizontal vent holes on
the front (antenna-side) of the case.***

***4) The printing process will tend to make small holes slightly
smaller. They have been designed at nominal dimension so that they can
be reamed out with a drill to an accurate diameter. It is suggested to
use a pin vise or other manual drill. Powered drills are NOT
recommended. The holes and their final dimensions are as follows:***<br>
​a) Raspberry Pi mounting holes: 2.0mm (for tapping to M2.5) RED<br>
​b) Main PCB mounting holes and case body corner holes: 2.5mm (fortapping to M3 X 0.5) YELLOW<br>
​c) XT60 bulkhead mount holes: 2.5mm (to clear M2.5 screws) YELLOW<br>
​d) Case top/lid corner holes and fan mounting holes: 3mm or 1/8" (to clear M3 screws) GREEN

![](https://github.com/RotorHazard/rhfiles/raw/main/S32_BPill/caseBuildPics/image003.jpg)

RED holes use a 2.0mm drill, YELLOW holes use a 2.5mm drill, GREEN holes
use a 3.0mm or 1/8" drill, and PURPLE holes need to be a slip fit for
magnets.

Here are photos of the back of the case body and the underside of the
top with more holes marked to be drilled:

![](https://github.com/RotorHazard/rhfiles/raw/main/S32_BPill/caseBuildPics/image004.jpg) &nbsp; ![](https://github.com/RotorHazard/rhfiles/raw/main/S32_BPill/caseBuildPics/image005.jpg)

(The two insets in the middle of the left and right edges on the
underside of the top are for gluing magnets.)


***5) The three other round holes in the rear of the case are for the
Status LED, Raspberry Pi Shutdown Pushbutton, and Main Power On/Off.***

The larger one is nominally 16mm diameter for the power switch and may
need some cleanup with a round file or reamer. The other two may also
need enlarging with a reamer, depending on exactly what components are
used. See the image below for components used in a typical installation:

![](https://github.com/RotorHazard/rhfiles/raw/main/S32_BPill/caseBuildPics/image006.jpg)

Here are some links to those components:

​a) XT-60 bulkhead connector with screws<br>
https://www.amazon.com/XT60E-M-Mountable-Connector-Models-Multicopter/dp/B07YJMCDC3

​b) XT-30 connectors (pairs)<br>
[https://www.amazon.com/Finware-Upgrade-Female-Connectors-Battery/dp/B074S7NH3H](https://www.amazon.com/Finware-Upgrade-Female-Connectors-Battery/dp/B074S7NH3H)

​c) Latching switch with LED<br>
[https://www.adafruit.com/product/1478](https://www.adafruit.com/product/1478) or (nicer) [https://www.adafruit.com/product/916](https://www.adafruit.com/product/916)

​d) SPST momentary pushbutton<br>
[https://www.amazon.com/gp/product/B075LDGHHS](https://www.amazon.com/gp/product/B075LDGHHS)

​e) LED holder<br>
[https://www.amazon.com/gp/product/B07D9JL55L](https://www.amazon.com/gp/product/B07D9JL55L)

​f) Pre-crimped wires<br>
[https://www.pololu.com/product/1800](https://www.pololu.com/product/1800)

​g) 2-Pin connector shells<br>
[https://www.pololu.com/product/1901](https://www.pololu.com/product/1901)

​h) 40mm fans, plain bearing, US seller<br>
[https://www.ebay.com/itm/112462283342](https://www.ebay.com/itm/112462283342)

​i) 40mm fans, higher quality, ball bearing<br>
[https://www.amazon.com/gp/product/B07KRST21P](https://www.amazon.com/gp/product/B07KRST21P)

***6) The three wire harnesses to be made up are for the Main Power
Switch, the Status LED, and the Shutdown Pushbutton:***

​a) The ***Main Power Switch*** harness is comprised of a SPST latching
switch with LED, a 330 ohm - 1K ohm resistor for the switch LED, an
XT-30 connector, and an XT-60 bulkhead-mount connector. The exact value
of the resistor, or whether it is needed at all, will depend on whether
the switch used has a built-in resistor, the desired brightness, and the
range of supply voltages to be used. A 1K resistor is the safest option
as it should provide reasonable LED brightness with a 3S (12V) supply
even if there is a built-in resistor and yet will not allow excess
current even with a 6S (24V) supply. Wire used can be anything larger
than about AWG 30 since currents are usually less than 1A.

The terminal for the negative end of the LED forms a convenient
attachment point for the negative supply wires. The LED resistor can be
mounted to the switch itself. The resistor connects between the LED
positive and the switched power terminal. Wires for incoming power from
the bulkhead-mount XT-60 should be about 7" long to allow for soldering
that connector AFTER the switch has been mounted to the case. Wires for
the switched power which go to the XT-30 connector should be about 5"
long to facilitate connecting power to the main PCB. Here is a sample
detail of how to wire a typical power switch:

![](https://github.com/RotorHazard/rhfiles/raw/main/S32_BPill/caseBuildPics/image007.jpg)

In the photo above the internal switch LED is connected to the upper two
terminals while the lower terminals are the SPST switch itself. Wires
going out to the left are 7" long and connect to incoming power. Wires
going out the top are 5" long for switched power going to an XT-30
connector. Following is a photo of the harness ready for installation in
the case. Note that because the XT-60 connector does not fit through
either the switch opening in the case nor the switch collar, its wires
cannot be soldered until the switch harness is installed in the case.

![](https://github.com/RotorHazard/rhfiles/raw/main/S32_BPill/caseBuildPics/image008.jpg)

​b) The ***Status LED*** is to be used as a replacement for the LED on
the main PCB, where a 2-pin header will be installed instead of the LED.
A series current-limiting resistor already exists on the PCB so the LED
harness comprises only an LED in a holder, wires, and a connector. You
can crimp terminals for the connector onto your own wires or use
pre-terminated wires cut from readily-available low-cost jumper wire
sets. A wire length of 6 inches works well.

​c) The ***Shutdown Pushbutton*** is used to provide a means to shut
down the Raspberry Pi gracefully and minimize chances of corrupting its
file system. This harness has a SPST momentary pushbutton, wires, and a
connector. A standard 2-pin connector allows the pushbutton to connect
to the GND and GPIO18 pins of the Raspberry Pi through the J10 header on
the main PCB. A wire length of 4 inches works well. Following is a photo
of sample LED and Pushbutton harnesses:

![](https://github.com/RotorHazard/rhfiles/raw/main/S32_BPill/caseBuildPics/image009.jpg)

​d) ***Harnesses Installed***

Here are some views of the finished harness installation:

![](https://github.com/RotorHazard/rhfiles/raw/main/S32_BPill/caseBuildPics/image010.jpg) &nbsp; ![](https://github.com/RotorHazard/rhfiles/raw/main/S32_BPill/caseBuildPics/image011.jpg)
 

***7) Fans:***

Fans are optional but if used can provide a more constant temperature
for the receiver modules in a variety of environmental conditions. They
can be mounted with the previously shown hardware and either one or both
can be installed. The labels on the fans should face the case so that
cooling air is drawn into the case through the front slots. There are
provisions for 2 headers on the main PCB to supply +5V to each of the
fans. Proper polarity should be observed when connecting. The easiest
wiring will be to have the fan wires exit from the right upper corner of
the fans with excess wire length folded into a bundle and tied off with
a ty-wrap:

![](https://github.com/RotorHazard/rhfiles/raw/main/S32_BPill/caseBuildPics/image012.jpg) &nbsp; ![](https://github.com/RotorHazard/rhfiles/raw/main/S32_BPill/caseBuildPics/image013.jpg)


***8) Photos of Harnesses connected to PCB***

The first of these photos shows an overall view from above, the second
is a detail of the SPST pushbutton connected to J10, and the third is a
detail of the fans and LED connections.

![](https://github.com/RotorHazard/rhfiles/raw/main/S32_BPill/caseBuildPics/image014.jpg) ![](https://github.com/RotorHazard/rhfiles/raw/main/S32_BPill/caseBuildPics/image015.jpg) ![](https://github.com/RotorHazard/rhfiles/raw/main/S32_BPill/caseBuildPics/image016.jpg)


***9) Optional Top/Lid Magnetic Mounting:***

Provision has been made to install magnets in the middle of two sides of
the case body and two more in the case top to allow for convenient
temporary lid mounting when it is not necessary or desirable to use the
mounting screws. Following is a method of installation that allows for
self-alignment and provides the best holding power. (***Note***: It is
important to first form the threads in the case body corner posts so
that the corner screws can be used to hold the top in alignment while
waiting for CA to cure during one of the following steps!):

​a) Carefully clear out any support material that may be in the case lid
magnet mounting depressions.

​b) Check the fit of the 1/32" thick magnets in those depressions. They
should fit flat and approximately even with the bottom of the lid.

​c) Place a small drop of medium or thick CA in each depression, place a
magnet in each, and press down so that the magnet is flat and even all
around. **Thoroughly** wipe off any excess CA.

​d) Allow the CA to thoroughly cure, probably an hour or more. Here is
what an installed magnet should look like:

![](https://github.com/RotorHazard/rhfiles/raw/main/S32_BPill/caseBuildPics/image017.jpg)

​e) Test fit the longer magnets in the holes in the square posts in the
middle of the case sides at the top. They should fit loosely but not so
loosely that uncured CA can leak by.

​f) Place the longer magnets on top of the ones that have been CA'd into
the case top.

They should hold tightly and self-center on each other:

![](https://github.com/RotorHazard/rhfiles/raw/main/S32_BPill/caseBuildPics/image018.jpg)

​g) Place a drop or two of CA into each of the holes in the two blocks
in the middle of the case sides.

Try not to get any on the surface of the blocks. If you do, wipe it off.

​h) Carefully place the lid with all of the magnets on top of the case.
The longer magnets should slide into the holes in the two blocks. Screw
down the top using two (or more) of the flat-head screws to establish
accurate alignment.

​i) Allow time for the CA in the square blocks to cure, fastening the
longer magnets to the case. It may help to create a stronger bond if you
invert the case so that any CA pushed down into the holes can settle
back down on the magnet to help retain it in place.

​j) Remove the alignment screws installed in (h) and carefully remove
the lid. If excess CA was used and it got between the magnet pairs or on
top of the posts it may be a bit tricky to remove the lid, so be
careful. The lid should now be capable of being reasonably secured using
only the magnets. Here is a photo of one of the magnets installed in the
case body:

![](https://github.com/RotorHazard/rhfiles/raw/main/S32_BPill/caseBuildPics/image019.jpg)

If the magnets have been installed with all of the north poles facing up
or all of the south poles facing up then the lid will be held in either
of two orientations. If one side has the north poles facing up and the
other side has the north poles facing down then the lid will be held in
only one orientation.
