# 3D Printed Enclosure
![3D rendering of box with openings for Raspberry Pi, case fans, and voltage display; with RotorHazard branding](Images/FinalRender8Node.png)

## **Four and Eight Node Printable Enclosures**
This is pretty much a ground up rework of FreeFormFPV's excellent original work. Not much of the original remains. I've expanded heavily on the original design and hopefully improved it.

There are two enclosures. One for four node timers and one for eight node timers. The lid and PCB tray fit either.

The Original D5 100x100mm V2.0 PCB is a 'click fit' into the new PCB Trays. No fasteners needed. the trays then stack in place in the enclosure and are secured in place by the lid. Which secures with four countersunk M3 fasteners. The planned updated RotorHazard PCB will be compatible with the PCB tray.

A POE DC jack is provided so that the timer can be powered at the other end of the network cable (POE injector needed). Be sure to use a THREE PIN DC jack wired properly to disconnect the XT60 socket when in use. Failure to do this may result in the release of magical smoke. The timer may thus be powered either locally by a lipo or remotely over POE.

![Exploded view of enclosure with insert trays and electronic components](Images/ExplodedView.png)
## **Printable Parts:**
* 8 Node Enclosure Box
* 4 Node Enclosure Box
* PCB Tray
* RotorHazard Branded Lid
* RotorHazard Branded Fan Grille
* Three Plain Style Fan Grilles

## **Parts Needed:**
**XT60 connector** to power timer by lipo (Slot for securing zip tie provided, but I recommend a dab of hot glue to really hold it)
http://tiny.cc/12ri8y

**JST connector** for WS2812b LED panel output from Raspberry Pi pins 19-GPIO10,20-GND (Slot for securing zip tie provided, but I recommend a dab of hot glue to really hold it)
http://tiny.cc/e7ri8y

**5.5mm 3 pin DC Jack** for POE
http://tiny.cc/wbsi8y [Wiring Diagram](Images/WireBarrelJack.png)

**POE injector/adapter** (optional)
http://tiny.cc/idsi8y

**2 x 5V 3cm cooling fans**
http://tiny.cc/rsti8y

**Voltage Meter**
http://tiny.cc/o7ti8y
(Secured by two M2 fasteners. Or a couple of dabs of hot glue)

**4 x countersunk M3x20 Machine Screw** To fasten lid
http://tinyurl.com/y3g2hqaf
